Page MenuHomePhabricator

"unknown value" and "no value" in diff should be italic
Closed, ResolvedPublic

Description

When a user changes a statement to "no value" or "unknown value" this should be visually different in the diff from other changes. Make them italic.

Sample diff: https://www.wikidata.org/w/index.php?title=Q4115189&diff=110740224&oldid=110678853

Details

Reference
bz61662

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:54 AM
bzimport set Reference to bz61662.
bzimport added a subscriber: Unknown Object (MLST).

Fwiw, this bug was part of why I completely misunderstood a set of diffs and posted this query:
https://www.wikidata.org/wiki/Wikidata:Project_chat/Archive/2014/04#Problematic_edits_including_Commons_category_unknown_value

To make it even more obvious, the diff could be

-CustomValue: blah
+UnknownValue

(that is unified format; obviously the layout is different for two panel diff)

In the above presentation, italics would not be necessary.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
aude added a subscriber: aude.Mar 10 2015, 3:25 PM

italics can be weird and not appropriate in some languages (e.g. Japanese [1]) maybe there is another option than italics? or a way for the fonts / css /whatnot to handle emphasis <em> appropriately in given language?

[1] http://www.localizingjapan.com/blog/2011/02/27/italics-in-japanese/

No need for a new design decision, there are already CSS classes in wikibase.css for exactly this case:

.wb-snakview-variation-somevaluesnak,
.wb-snakview-variation-novaluesnak

Change 195876 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Rework MessageSnakFormatterTest

https://gerrit.wikimedia.org/r/195876

Change 195877 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Make "unknown value" and "no value" snaks in diffs italic

https://gerrit.wikimedia.org/r/195877

aude added a comment.Mar 11 2015, 10:44 AM

created T92370 for the issue of italics. (it's one of those super annoyances for me, and probably for people who use wikidata in such languages)

Change 195876 merged by jenkins-bot:
Rework MessageSnakFormatterTest

https://gerrit.wikimedia.org/r/195876

Change 195877 merged by jenkins-bot:
Make "unknown value" and "no value" snaks in diffs italic

https://gerrit.wikimedia.org/r/195877

Tobi_WMDE_SW closed this task as Resolved.Mar 31 2015, 3:26 PM
Tobi_WMDE_SW set Security to None.